## r-cran-rcurl 1.95

=== DESCRIPTION ===
Package: RCurl
Version: 1.95-4.1
Title: General network (HTTP/FTP/...) client interface for R
Author: Duncan Temple Lang
SystemRequirements: libcurl (version 7.14.0 or higher)
        http://curl.haxx.se. On Linux systems, you will often have to
        explicitly install libcurl-devel to have the header files and
        the libcurl library.
Maintainer: Duncan Temple Lang <duncan@r-project.org>
Description: The package allows one to compose general HTTP requests
        and provides convenient functions to fetch URIs, get & post
        forms, etc. and process the results returned by the Web server.
        This provides a great deal of control over the HTTP/FTP/...
        connection and the form of the request while providing a
        higher-level interface than is available just using R socket
        connections.  Additionally, the underlying implementation is
        robust and extensive, supporting FTP/FTPS/TFTP (uploads and
        downloads), SSL/HTTPS, telnet, dict, ldap, and also supports
        cookies, redirects, authentication, etc.
License: BSD
Depends: R (>= 2.7.0), methods, bitops
Imports: methods
Suggests: Rcompression, XML
URL: http://www.omegahat.org/RCurl
Limitations: One doesn't yet have full control over the contents of a
        POST form such as specifying files, content type. Error
        handling uses a single global variable at present.
Note: This will be used generally to communicate with HTTP servers and
        specifically in the SOAP package, HTML forms and for accessing
        data on Web sites that require more state information than
        simply URL access (e.g. cookies).
Check: To run R CMD check, one really needs network access. It is an
        HTTP client! This can be problematic as a Web site may be down
        when you run but the real tests are important.
Collate: aclassesEnums.R bitClasses.R xbits.R base64.R binary.S
        classes.S curl.S curlAuthConstants.R curlEnums.R curlError.R
        curlInfo.S dynamic.R form.S getFormParams.R getURLContent.R
        header.R http.R httpError.R httpErrors.R iconv.R info.S mime.R
        multi.S options.S scp.R support.S upload.R urlExists.R zclone.R
Packaged: 2013-03-06 17:15:55 UTC; ligges
NeedsCompilation: yes
Repository: CRAN
Date/Publication: 2013-03-06 18:27:23

## r-cran-rcurl 1.95-4.1

=== debian/changelog ===
r-cran-rcurl (1.95-4.1-1) unstable; urgency=low

  * Initial release (Closes: #677846, #710005)
  * Added README.source to document binary RData file in source tarball
  * Add license of RCurl/src/curl_base64.c

 -- Andreas Tille <tille@debian.org>  Fri, 25 Oct 2013 08:53:18 +0200

=== debian/control ===
Source: r-cran-rcurl
Maintainer: Debian Med Packaging Team <debian-med-packaging@lists.alioth.debian.org>
Uploaders: Andreas Tille <tille@debian.org>,
           Steffen Moeller <moeller@debian.org>,
           Ivo Maintz <ivo@maintz.de>
Section: gnu-r
Priority: optional
Build-Depends: debhelper (>= 9),
               cdbs,
               r-base-dev,
               r-cran-bitops,
               libcurl4-nss-dev | libcurl-dev
Standards-Version: 3.9.4
Vcs-Browser: http://anonscm.debian.org/viewvc/debian-med/trunk/packages/R/r-cran-rcurl/trunk/
Vcs-Svn: svn://anonscm.debian.org/debian-med/trunk/packages/R/r-cran-rcurl/trunk/
Homepage: http://cran.r-project.org/web/packages/RCurl/index.html

Package: r-cran-rcurl
Architecture: any
Depends: ${R:Depends},
         ${misc:Depends},
         ${shlibs:Depends},
         r-cran-bitops
Description: GNU R General network (HTTP/FTP/...) client interface
 The package allows one to compose general HTTP requests and provides
 convenient functions to fetch URIs, get & post forms, etc. and process
 the results returned by the Web server. This provides a great deal of
 control over the HTTP/FTP/... connection and the form of the request
 while providing a higher-level interface than is available just using R
 socket connections. Additionally, the underlying implementation is
 robust and extensive, supporting FTP/FTPS/TFTP (uploads and downloads),
 SSL/HTTPS, telnet, dict, ldap, and also supports cookies, redirects,
 authentication, etc.

=== debian/watch ===
version=3
http://cran.r-project.org/src/contrib/RCurl_([-\d.]*)\.tar\.gz

## r-cran-rcurl 1.95-4.3

=== debian/changelog ===
r-cran-rcurl (1.95-4.3-2) unstable; urgency=medium

  * Team upload.
  * Build-Depend on libcurl4-openssl-dev only (Closes: #786473).

 -- Charles Plessy <plessy@debian.org>  Sun, 31 May 2015 09:14:50 +0900

r-cran-rcurl (1.95-4.3-1) unstable; urgency=medium

  * New upstream version
  * Provide some manual test script (requiring online access and thus
    can not tested in a minimal chroot)
  * cme fix dpkg-control
  * revised d/copyright regarding lintian warnings

 -- Andreas Tille <tille@debian.org>  Wed, 17 Sep 2014 12:19:23 +0200

=== debian/control ===
--- 
+++ 
@@ -9,8 +9,8 @@
                cdbs,
                r-base-dev,
                r-cran-bitops,
-               libcurl4-nss-dev | libcurl-dev
-Standards-Version: 3.9.4
+               libcurl4-openssl-dev
+Standards-Version: 3.9.5
 Vcs-Browser: http://anonscm.debian.org/viewvc/debian-med/trunk/packages/R/r-cran-rcurl/trunk/
 Vcs-Svn: svn://anonscm.debian.org/debian-med/trunk/packages/R/r-cran-rcurl/trunk/
 Homepage: http://cran.r-project.org/web/packages/RCurl/index.html
@@ -31,4 +31,3 @@
  robust and extensive, supporting FTP/FTPS/TFTP (uploads and downloads),
  SSL/HTTPS, telnet, dict, ldap, and also supports cookies, redirects,
  authentication, etc.
-

## r-cran-rcurl 1.95-4.7

=== debian/changelog ===
r-cran-rcurl (1.95-4.7-1) unstable; urgency=medium

  * New upstream version
  * cme fix dpkg-control
  * fix location of file in d/copyright

 -- Andreas Tille <tille@debian.org>  Sat, 31 Oct 2015 07:56:16 +0100

=== debian/control ===
--- 
+++ 
@@ -10,7 +10,7 @@
                r-base-dev,
                r-cran-bitops,
                libcurl4-openssl-dev
-Standards-Version: 3.9.5
+Standards-Version: 3.9.6
 Vcs-Browser: http://anonscm.debian.org/viewvc/debian-med/trunk/packages/R/r-cran-rcurl/trunk/
 Vcs-Svn: svn://anonscm.debian.org/debian-med/trunk/packages/R/r-cran-rcurl/trunk/
 Homepage: http://cran.r-project.org/web/packages/RCurl/index.html

=== debian/rules ===
#!/usr/bin/make -f
include /usr/share/R/debian/r-cran.mk

install/$(package)::
	mkdir -p debian/$(package)/usr/share/doc/$(package)
	mv debian/$(package)/usr/lib/R/site-library/$(cranNameOrig)/examples debian/$(package)/usr/share/doc/$(package)
	ln -s ../../../../share/doc/$(package)/examples debian/$(package)/usr/lib/R/site-library/$(cranNameOrig)
	dh_installchangelogs -k Changes.html

clean::
	rm -f src/Makevars
	dh_clean

get-orig-source::
	uscan --force-download --verbose

## r-cran-rcurl 1.95-4.8

=== debian/changelog ===
r-cran-rcurl (1.95-4.8-4build1) bionic; urgency=medium

  * No-change rebuild against libcurl4

 -- Steve Langasek <steve.langasek@ubuntu.com>  Wed, 28 Feb 2018 08:46:55 +0000

r-cran-rcurl (1.95-4.8-4) unstable; urgency=medium

  * Moved packaging from SVN to Git
  * Testsuite: autopkgtest-pkg-r
  * Secure watch file
  * Standards-Version: 4.1.1
  * Avoid privacy breach by providing local icon instead of remote one

 -- Andreas Tille <tille@debian.org>  Wed, 29 Nov 2017 20:27:52 +0100

r-cran-rcurl (1.95-4.8-3) unstable; urgency=medium

  * Standards-Version: 4.1.0 (no changes needed)
  * debhelper 10

 -- Andreas Tille <tille@debian.org>  Thu, 07 Sep 2017 21:24:39 +0200

r-cran-rcurl (1.95-4.8-2) unstable; urgency=medium

  * example dir is no symlink any more
    Closes: #847234

 -- Andreas Tille <tille@debian.org>  Wed, 07 Dec 2016 08:43:58 +0100

r-cran-rcurl (1.95-4.8-1) unstable; urgency=medium

  * New upstream version
  * Convert to dh-r
  * Canonical homepage for CRAN
  * Remove Ivo Maintz from Uploaders
  * d/watch: version=4

 -- Andreas Tille <tille@debian.org>  Mon, 14 Nov 2016 13:21:13 +0100

=== debian/control ===
Source: r-cran-rcurl
Maintainer: Ubuntu Developers <ubuntu-devel-discuss@lists.ubuntu.com>
XSBC-Original-Maintainer: Debian Med Packaging Team <debian-med-packaging@lists.alioth.debian.org>
Uploaders: Andreas Tille <tille@debian.org>,
           Steffen Moeller <moeller@debian.org>
Section: gnu-r
Testsuite: autopkgtest-pkg-r
Priority: optional
Build-Depends: debhelper (>= 10),
               dh-r,
               r-base-dev,
               r-cran-bitops,
               libcurl4-openssl-dev
Standards-Version: 4.1.1
Vcs-Browser: https://anonscm.debian.org/cgit/debian-med/r-cran-rcurl.git
Vcs-Git: https://anonscm.debian.org/git/debian-med/r-cran-rcurl.git
Homepage: https://cran.r-project.org/package=RCurl

Package: r-cran-rcurl
Architecture: any
Depends: ${R:Depends},
         ${misc:Depends},
         ${shlibs:Depends}
Recommends: ${R:Recommends}
Suggests: ${R:Suggests}
Description: GNU R General network (HTTP/FTP/...) client interface
 The package allows one to compose general HTTP requests and provides
 convenient functions to fetch URIs, get & post forms, etc. and process
 the results returned by the Web server. This provides a great deal of
 control over the HTTP/FTP/... connection and the form of the request
 while providing a higher-level interface than is available just using R
 socket connections. Additionally, the underlying implementation is
 robust and extensive, supporting FTP/FTPS/TFTP (uploads and downloads),
 SSL/HTTPS, telnet, dict, ldap, and also supports cookies, redirects,
 authentication, etc.

=== debian/watch ===
version=4
https://cran.r-project.org/src/contrib/RCurl@ANY_VERSION@@ARCHIVE_EXT@

## r-cran-rcurl 1.95-4.10

=== debian/changelog ===
r-cran-rcurl (1.95-4.10-1) unstable; urgency=medium

  * New upstream version
  * Standards-Version: 4.1.3
  * debhelper 11

 -- Andreas Tille <tille@debian.org>  Thu, 15 Mar 2018 17:39:16 +0100

=== debian/control ===
--- 
+++ 
@@ -1,17 +1,16 @@
 Source: r-cran-rcurl
-Maintainer: Ubuntu Developers <ubuntu-devel-discuss@lists.ubuntu.com>
-XSBC-Original-Maintainer: Debian Med Packaging Team <debian-med-packaging@lists.alioth.debian.org>
+Maintainer: Debian Med Packaging Team <debian-med-packaging@lists.alioth.debian.org>
 Uploaders: Andreas Tille <tille@debian.org>,
            Steffen Moeller <moeller@debian.org>
 Section: gnu-r
 Testsuite: autopkgtest-pkg-r
 Priority: optional
-Build-Depends: debhelper (>= 10),
+Build-Depends: debhelper (>= 11~),
                dh-r,
                r-base-dev,
                r-cran-bitops,
                libcurl4-openssl-dev
-Standards-Version: 4.1.1
+Standards-Version: 4.1.3
 Vcs-Browser: https://anonscm.debian.org/cgit/debian-med/r-cran-rcurl.git
 Vcs-Git: https://anonscm.debian.org/git/debian-med/r-cran-rcurl.git
 Homepage: https://cran.r-project.org/package=RCurl

## r-cran-rcurl 1.95-4.11

=== debian/changelog ===
r-cran-rcurl (1.95-4.11-1) unstable; urgency=medium

  * New upstream version
  * Standards-Version: 4.1.5

 -- Andreas Tille <tille@debian.org>  Thu, 19 Jul 2018 07:28:11 +0200

r-cran-rcurl (1.95-4.10-2) unstable; urgency=medium

  * Maintainer: Debian R Packages Maintainers <r-pkg-team@alioth-
    lists.debian.net>
  * Point Vcs fields to salsa.debian.org
  * dh-update-R to update Build-Depends
  * Remove debian/upstream/metadata since it contains only redundant
    information

 -- Andreas Tille <tille@debian.org>  Mon, 18 Jun 2018 22:01:33 +0200

=== debian/control ===
--- 
+++ 
@@ -1,5 +1,5 @@
 Source: r-cran-rcurl
-Maintainer: Debian Med Packaging Team <debian-med-packaging@lists.alioth.debian.org>
+Maintainer: Debian R Packages Maintainers <r-pkg-team@alioth-lists.debian.net>
 Uploaders: Andreas Tille <tille@debian.org>,
            Steffen Moeller <moeller@debian.org>
 Section: gnu-r
@@ -10,16 +10,16 @@
                r-base-dev,
                r-cran-bitops,
                libcurl4-openssl-dev
-Standards-Version: 4.1.3
-Vcs-Browser: https://anonscm.debian.org/cgit/debian-med/r-cran-rcurl.git
-Vcs-Git: https://anonscm.debian.org/git/debian-med/r-cran-rcurl.git
+Standards-Version: 4.1.5
+Vcs-Browser: https://salsa.debian.org/r-pkg-team/r-cran-rcurl
+Vcs-Git: https://salsa.debian.org/r-pkg-team/r-cran-rcurl.git
 Homepage: https://cran.r-project.org/package=RCurl
 
 Package: r-cran-rcurl
 Architecture: any
 Depends: ${R:Depends},
-         ${misc:Depends},
-         ${shlibs:Depends}
+         ${shlibs:Depends},
+         ${misc:Depends}
 Recommends: ${R:Recommends}
 Suggests: ${R:Suggests}
 Description: GNU R General network (HTTP/FTP/...) client interface

## r-cran-rcurl 1.95-4.12

=== debian/changelog ===
r-cran-rcurl (1.95-4.12-1) unstable; urgency=medium

  * New upstream version
  * debhelper 12
  * Standards-Version: 4.3.0

 -- Andreas Tille <tille@debian.org>  Thu, 11 Jul 2019 11:53:33 +0200

=== debian/control ===
--- 
+++ 
@@ -5,12 +5,12 @@
 Section: gnu-r
 Testsuite: autopkgtest-pkg-r
 Priority: optional
-Build-Depends: debhelper (>= 11~),
+Build-Depends: debhelper (>= 12~),
                dh-r,
                r-base-dev,
                r-cran-bitops,
                libcurl4-openssl-dev
-Standards-Version: 4.1.5
+Standards-Version: 4.3.0
 Vcs-Browser: https://salsa.debian.org/r-pkg-team/r-cran-rcurl
 Vcs-Git: https://salsa.debian.org/r-pkg-team/r-cran-rcurl.git
 Homepage: https://cran.r-project.org/package=RCurl

## r-cran-rcurl 1.98

=== DESCRIPTION ===
Package: RCurl
Version: 1.98-1.2
Title: General Network (HTTP/FTP/...) Client Interface for R
Authors@R: c(person("CRAN Team", role = c('ctb', 'cre'),
                    email = "CRAN@r-project.org",
                    comment = "de facto maintainer since 2013"),
             person("Duncan", "Temple Lang", role = "aut",
                    email = "duncan@r-project.org",
                    comment = c(ORCID = "0000-0003-0159-1546")))
SystemRequirements: GNU make, libcurl
Description: A wrapper for 'libcurl' <http://curl.haxx.se/libcurl/>
	Provides functions to allow one to compose general HTTP requests
        and provides convenient functions to fetch URIs, get & post
        forms, etc. and process the results returned by the Web server.
        This provides a great deal of control over the HTTP/FTP/...
        connection and the form of the request while providing a
        higher-level interface than is available just using R socket
        connections.  Additionally, the underlying implementation is
        robust and extensive, supporting FTP/FTPS/TFTP (uploads and
        downloads), SSL/HTTPS, telnet, dict, ldap, and also supports
        cookies, redirects, authentication, etc.
License: BSD_3_clause + file LICENSE
Depends: R (>= 3.4.0), methods
Imports: bitops
Suggests: XML
Collate: aclassesEnums.R bitClasses.R xbits.R base64.R binary.S
        classes.S curl.S curlAuthConstants.R curlEnums.R curlError.R
        curlInfo.S dynamic.R form.S getFormParams.R getURLContent.R
        header.R http.R httpError.R httpErrors.R iconv.R info.S mime.R
        multi.S options.S scp.R support.S upload.R urlExists.R zclone.R
        zzz.R
NeedsCompilation: yes
Packaged: 2020-04-18 03:36:55 UTC; ripley
Author: CRAN Team [ctb, cre] (de facto maintainer since 2013),
  Duncan Temple Lang [aut] (<https://orcid.org/0000-0003-0159-1546>)
Maintainer: CRAN Team <CRAN@r-project.org>
Repository: CRAN
Date/Publication: 2020-04-18 03:44:52 UTC

## r-cran-rcurl 1.98-1.1

=== debian/changelog ===
r-cran-rcurl (1.98-1.1-1) unstable; urgency=medium

  * New upstream version
  * Standards-Version: 4.5.0 (routine-update)
  * debhelper-compat 12 (routine-update)
  * autopkgtest: s/ADTTMP/AUTOPKGTEST_TMP/g (routine-update)
  * Trim trailing whitespace.
  * Refer to specific version of license .

 -- Andreas Tille <tille@debian.org>  Mon, 27 Jan 2020 11:21:10 +0100

=== debian/control ===
--- 
+++ 
@@ -5,12 +5,12 @@
 Section: gnu-r
 Testsuite: autopkgtest-pkg-r
 Priority: optional
-Build-Depends: debhelper (>= 12~),
+Build-Depends: debhelper-compat (= 12),
                dh-r,
                r-base-dev,
                r-cran-bitops,
                libcurl4-openssl-dev
-Standards-Version: 4.3.0
+Standards-Version: 4.5.0
 Vcs-Browser: https://salsa.debian.org/r-pkg-team/r-cran-rcurl
 Vcs-Git: https://salsa.debian.org/r-pkg-team/r-cran-rcurl.git
 Homepage: https://cran.r-project.org/package=RCurl

## r-cran-rcurl 1.98-1.2

=== debian/changelog ===
r-cran-rcurl (1.98-1.2-1) unstable; urgency=medium

  * Team upload.
  * New upstream version
  * Add salsa-ci file (routine-update)
  * Rules-Requires-Root: no (routine-update)

 -- Dylan Aïssi <daissi@debian.org>  Fri, 24 Apr 2020 09:23:39 +0200

=== debian/control ===
--- 
+++ 
@@ -14,6 +14,7 @@
 Vcs-Browser: https://salsa.debian.org/r-pkg-team/r-cran-rcurl
 Vcs-Git: https://salsa.debian.org/r-pkg-team/r-cran-rcurl.git
 Homepage: https://cran.r-project.org/package=RCurl
+Rules-Requires-Root: no
 
 Package: r-cran-rcurl
 Architecture: any

## r-cran-rcurl 1.98-1.6

=== debian/changelog ===
r-cran-rcurl (1.98-1.6-1) unstable; urgency=medium

  * New upstream version

 -- Andreas Tille <tille@debian.org>  Sun, 13 Feb 2022 07:40:23 +0100

r-cran-rcurl (1.98-1.5-1) unstable; urgency=medium

  * Disable reprotest
  * New upstream version

 -- Andreas Tille <tille@debian.org>  Tue, 21 Sep 2021 11:13:15 +0200

r-cran-rcurl (1.98-1.4-1) unstable; urgency=medium

  * New upstream version
  * Standards-Version: 4.6.0 (routine-update)
  * debhelper-compat 13 (routine-update)
  * Remove constraints unnecessary since buster:
    + Remove 1 maintscript entries from 1 files.

 -- Andreas Tille <tille@debian.org>  Sun, 29 Aug 2021 06:57:47 +0200

=== debian/control ===
--- 
+++ 
@@ -5,12 +5,12 @@
 Section: gnu-r
 Testsuite: autopkgtest-pkg-r
 Priority: optional
-Build-Depends: debhelper-compat (= 12),
+Build-Depends: debhelper-compat (= 13),
                dh-r,
                r-base-dev,
                r-cran-bitops,
                libcurl4-openssl-dev
-Standards-Version: 4.5.0
+Standards-Version: 4.6.0
 Vcs-Browser: https://salsa.debian.org/r-pkg-team/r-cran-rcurl
 Vcs-Git: https://salsa.debian.org/r-pkg-team/r-cran-rcurl.git
 Homepage: https://cran.r-project.org/package=RCurl

## r-cran-rcurl 1.98-1.8+dfsg

=== debian/changelog ===
r-cran-rcurl (1.98-1.8+dfsg-1) unstable; urgency=medium

  * New upstream version

 -- Andreas Tille <tille@debian.org>  Thu, 04 Aug 2022 06:45:11 +0200

r-cran-rcurl (1.98-1.7+dfsg-1) unstable; urgency=medium

  * New upstream version
  * Standards-Version: 4.6.1 (routine-update)
  * Reorder sequence of d/control fields by cme (routine-update)
  * Remove autogenerated HTML docs since it is including compressed JS
  * No need to patch removed html doc
  * Lintian-overrides for false positives

 -- Andreas Tille <tille@debian.org>  Fri, 24 Jun 2022 09:01:58 +0200

=== debian/control ===
--- 
+++ 
@@ -1,20 +1,20 @@
 Source: r-cran-rcurl
+Section: gnu-r
+Priority: optional
 Maintainer: Debian R Packages Maintainers <r-pkg-team@alioth-lists.debian.net>
 Uploaders: Andreas Tille <tille@debian.org>,
            Steffen Moeller <moeller@debian.org>
-Section: gnu-r
-Testsuite: autopkgtest-pkg-r
-Priority: optional
+Vcs-Browser: https://salsa.debian.org/r-pkg-team/r-cran-rcurl
+Vcs-Git: https://salsa.debian.org/r-pkg-team/r-cran-rcurl.git
+Homepage: https://cran.r-project.org/package=RCurl
+Standards-Version: 4.6.1
+Rules-Requires-Root: no
 Build-Depends: debhelper-compat (= 13),
                dh-r,
                r-base-dev,
                r-cran-bitops,
                libcurl4-openssl-dev
-Standards-Version: 4.6.0
-Vcs-Browser: https://salsa.debian.org/r-pkg-team/r-cran-rcurl
-Vcs-Git: https://salsa.debian.org/r-pkg-team/r-cran-rcurl.git
-Homepage: https://cran.r-project.org/package=RCurl
-Rules-Requires-Root: no
+Testsuite: autopkgtest-pkg-r
 
 Package: r-cran-rcurl
 Architecture: any

## r-cran-rcurl 1.98-1.10+dfsg

=== debian/changelog ===
r-cran-rcurl (1.98-1.10+dfsg-1) unstable; urgency=medium

  * New upstream version
  * Standards-Version: 4.6.2 (routine-update)

 -- Andreas Tille <tille@debian.org>  Mon, 30 Jan 2023 15:00:16 +0100

r-cran-rcurl (1.98-1.9+dfsg-1) unstable; urgency=medium

  * New upstream version

 -- Andreas Tille <tille@debian.org>  Sat, 08 Oct 2022 21:13:55 +0200

=== debian/control ===
--- 
+++ 
@@ -7,7 +7,7 @@
 Vcs-Browser: https://salsa.debian.org/r-pkg-team/r-cran-rcurl
 Vcs-Git: https://salsa.debian.org/r-pkg-team/r-cran-rcurl.git
 Homepage: https://cran.r-project.org/package=RCurl
-Standards-Version: 4.6.1
+Standards-Version: 4.6.2
 Rules-Requires-Root: no
 Build-Depends: debhelper-compat (= 13),
                dh-r,

## r-cran-rcurl 1.98-1.12+dfsg

=== debian/changelog ===
r-cran-rcurl (1.98-1.12+dfsg-1) unstable; urgency=medium

  * New upstream version

 -- Andreas Tille <tille@debian.org>  Mon, 26 Jun 2023 19:33:51 +0200

## r-cran-rcurl 1.98-1.14%2Bdfsg

=== debian/changelog ===
r-cran-rcurl (1.98-1.14+dfsg-1build2) noble; urgency=medium

  * No-change rebuild for CVE-2024-3094

 -- William Grant <wgrant@ubuntu.com>  Mon, 01 Apr 2024 18:34:42 +1100

r-cran-rcurl (1.98-1.14+dfsg-1build1) noble; urgency=medium

  * No-change rebuild against libcurl4t64

 -- Steve Langasek <steve.langasek@ubuntu.com>  Sat, 16 Mar 2024 06:58:16 +0000

r-cran-rcurl (1.98-1.14+dfsg-1) unstable; urgency=medium

  * New upstream version

 -- Andreas Tille <tille@debian.org>  Thu, 18 Jan 2024 13:40:48 +0100

r-cran-rcurl (1.98-1.13+dfsg-2) unstable; urgency=medium

  * Fix clean target
    Closes: #1045377

 -- Andreas Tille <tille@debian.org>  Fri, 22 Dec 2023 09:22:28 +0100

r-cran-rcurl (1.98-1.13+dfsg-1) unstable; urgency=medium

  * New upstream version
  * Run autopkgtest with restriction needs-internet

 -- Andreas Tille <tille@debian.org>  Tue, 21 Nov 2023 16:45:14 +0100

## r-cran-rcurl 1.98-1.14+dfsg

=== debian/control ===
--- 
+++ 
@@ -1,7 +1,8 @@
 Source: r-cran-rcurl
 Section: gnu-r
 Priority: optional
-Maintainer: Debian R Packages Maintainers <r-pkg-team@alioth-lists.debian.net>
+Maintainer: Ubuntu Developers <ubuntu-devel-discuss@lists.ubuntu.com>
+XSBC-Original-Maintainer: Debian R Packages Maintainers <r-pkg-team@alioth-lists.debian.net>
 Uploaders: Andreas Tille <tille@debian.org>,
            Steffen Moeller <moeller@debian.org>
 Vcs-Browser: https://salsa.debian.org/r-pkg-team/r-cran-rcurl

=== debian/tests/control ===
Tests: run-unit-test
Depends: @,
         r-cran-xml
Restrictions: allow-stderr, needs-internet

=== debian/watch ===
version=4
opts="repacksuffix=+dfsg,dversionmangle=s/\+dfsg[0-9]*//g,repack,compression=xz" \
https://cran.r-project.org/src/contrib/RCurl@ANY_VERSION@@ARCHIVE_EXT@

## r-cran-rcurl 1.98-1.16%2Bdfsg

=== debian/control ===
--- 
+++ 
@@ -1,14 +1,13 @@
 Source: r-cran-rcurl
 Section: gnu-r
 Priority: optional
-Maintainer: Ubuntu Developers <ubuntu-devel-discuss@lists.ubuntu.com>
-XSBC-Original-Maintainer: Debian R Packages Maintainers <r-pkg-team@alioth-lists.debian.net>
+Maintainer: Debian R Packages Maintainers <r-pkg-team@alioth-lists.debian.net>
 Uploaders: Andreas Tille <tille@debian.org>,
            Steffen Moeller <moeller@debian.org>
 Vcs-Browser: https://salsa.debian.org/r-pkg-team/r-cran-rcurl
 Vcs-Git: https://salsa.debian.org/r-pkg-team/r-cran-rcurl.git
 Homepage: https://cran.r-project.org/package=RCurl
-Standards-Version: 4.6.2
+Standards-Version: 4.7.0
 Rules-Requires-Root: no
 Build-Depends: debhelper-compat (= 13),
                dh-r,

## r-cran-rcurl 1.98-1.16+dfsg

=== debian/changelog ===
r-cran-rcurl (1.98-1.16+dfsg-1) unstable; urgency=medium

  * Team upload.
  * New upstream version
  * Standards-Version: 4.7.0 (routine-update)

 -- Charles Plessy <plessy@debian.org>  Tue, 03 Sep 2024 09:18:24 +0900

## r-cran-rcurl 1.98-1.17+dfsg

=== debian/changelog ===
r-cran-rcurl (1.98-1.17+dfsg-1) unstable; urgency=medium

  * Team upload.
  * New upstream version
  * Standards-Version: 4.7.3 (routine-update)
  * Restrict to 64-bits architectures (routine-update)
  * Restrict to little-endian architectures (routine-update)
  * Remove Priority field to comply with Debian Policy 4.7.3 (routine-
    update)

 -- Charles Plessy <plessy@debian.org>  Tue, 03 Feb 2026 16:11:07 +0900

=== debian/control ===
--- 
+++ 
@@ -1,20 +1,21 @@
 Source: r-cran-rcurl
-Section: gnu-r
-Priority: optional
 Maintainer: Debian R Packages Maintainers <r-pkg-team@alioth-lists.debian.net>
 Uploaders: Andreas Tille <tille@debian.org>,
            Steffen Moeller <moeller@debian.org>
-Vcs-Browser: https://salsa.debian.org/r-pkg-team/r-cran-rcurl
-Vcs-Git: https://salsa.debian.org/r-pkg-team/r-cran-rcurl.git
-Homepage: https://cran.r-project.org/package=RCurl
-Standards-Version: 4.7.0
-Rules-Requires-Root: no
+Section: gnu-r
+Testsuite: autopkgtest-pkg-r
 Build-Depends: debhelper-compat (= 13),
                dh-r,
                r-base-dev,
                r-cran-bitops,
-               libcurl4-openssl-dev
-Testsuite: autopkgtest-pkg-r
+               libcurl4-openssl-dev,
+               architecture-is-64-bit,
+               architecture-is-little-endian
+Standards-Version: 4.7.3
+Vcs-Browser: https://salsa.debian.org/r-pkg-team/r-cran-rcurl
+Vcs-Git: https://salsa.debian.org/r-pkg-team/r-cran-rcurl.git
+Homepage: https://cran.r-project.org/package=RCurl
+Rules-Requires-Root: no
 
 Package: r-cran-rcurl
 Architecture: any
